class ERAppointmentFeesResponse {
  GetERAppointmentFeesList getERAppointmentFeesList;

  ERAppointmentFeesResponse({this.getERAppointmentFeesList});

  ERAppointmentFeesResponse.fromJson(Map<String, dynamic> json) {
    getERAppointmentFeesList = json['GetERAppointmentFeesList'] != null
        ? new GetERAppointmentFeesList.fromJson(
        json['GetERAppointmentFeesList'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.getERAppointmentFeesList != null) {
      data['GetERAppointmentFeesList'] = this.getERAppointmentFeesList.toJson();
    }
    return data;
  }
}

class GetERAppointmentFeesList {
  String amount;
  String companyName;
  bool isInsured;
  bool isShowInsuranceUpdateModule;
  String tax;
  String total;
  String currency;

  GetERAppointmentFeesList(
      {this.amount,
        this.companyName,
        this.isInsured,
        this.isShowInsuranceUpdateModule,
        this.tax,
        this.total,
        this.currency});

  GetERAppointmentFeesList.fromJson(Map<String, dynamic> json) {
    amount = json['Amount'];
    companyName = json['CompanyName'];
    isInsured = json['IsInsured'];
    isShowInsuranceUpdateModule = json['IsShowInsuranceUpdateModule'];
    tax = json['Tax'];
    total = json['Total'];
    currency = json['currency'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['Amount'] = this.amount;
    data['CompanyName'] = this.companyName;
    data['IsInsured'] = this.isInsured;
    data['IsShowInsuranceUpdateModule'] = this.isShowInsuranceUpdateModule;
    data['Tax'] = this.tax;
    data['Total'] = this.total;
    data['currency'] = this.currency;
    return data;
  }
}
